function init(){
	aquarium=document.getElementById("aquarium");
	makeNemo();
	for (i = 0; i < 5; i++){
		makeNemo();
	}
	makeBubbles();
}
function makeNemo(){
	var newNemo = document.createElement("div");
	newNemo.setAttribute("ondragstart", "drag(event)");
	newNemo.setAttribute("id",Math.floor((1 + Math.random()) * 0x1000));
	newNemo.setAttribute("class", "nemo");
	newNemo.setAttribute("draggable", true);
	newNemo.style.top = Math.random() * 85 + "%";
	newNemo.style.left = Math.random() * 85 + "%";
	document.body.appendChild(newNemo);
}

function makeBubbles(){
	var bubbles = document.getElementsByClassName("bubble");
	if (bubbles.length > 100){
		document.body.removeChild(bubbles[0]);
	}
	var bubble = document.createElement("img");
	bubble.setAttribute("class", "bubble");
	bubble.style.left = Math.random() * 90 + "%";
	bubble.style.height = 10 + Math.random() * 40 + "px";
	document.body.appendChild(bubble);	
	setTimeout(makeBubbles,100 + Math.random() * 500);
}

function allowDrop(ev) {
    ev.preventDefault();
}

function drag(ev) {
    ev.dataTransfer.setData("Text", ev.target.id);
}

function drop(ev) {
    ev.preventDefault();
	var nemo = document.getElementById(ev.dataTransfer.getData("Text"));
	aquarium.appendChild(nemo);
}